package tsyliveaudiorecord.live_audio_record;

import io.reactivex.disposables.Disposable;
import io.reactivex.functions.Consumer;

public interface AudioRecordMVPView extends IMVPView {
    void updateChronometer(String text);

    void togglePauseStatus();

    void toggleRecordButton();

    void linkGLViewToHandler();

    void setPauseButtonVisible();

    void setPauseButtonInVisible();

    void setScreenOnFlag();

    void clearScreenOnFlag();



    void pauseRecord();

    void resumeRecord();

    Disposable subscribeForTimer(Consumer<AudioRecorder.RecordTime> recordTimeConsumer);
}
