import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:toast/toast.dart';
import 'package:vais_speech/model/lyric/lyric.dart';
import 'package:vais_speech/vais_speech.dart';
import 'package:vais_speech_example/record.dart';

void main() {
  return runApp(MyApp());
}

class MyApp extends StatefulWidget {

  const MyApp({Key key, }) : super(key: key);

  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  final navigationKey = GlobalKey<NavigatorState>();

  @override
  Widget build(BuildContext context) {
    final mContext = context;
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Voice Recognition',
      navigatorKey: navigationKey,
      initialRoute: 'record',
      routes: {
        'record': (_) => RecordScreen(),


      },
    );
  }
}
