import 'package:json_annotation/json_annotation.dart';

part 'created_audio_response.g.dart';

@JsonSerializable()
class AfterUploadedAudioResponse {
  @JsonKey(name: "create_time")
  String? createdTime;
  String? id;
  String? name;
  int? status;


  AfterUploadedAudioResponse(this.createdTime, this.id, this.name, this.status);

  factory AfterUploadedAudioResponse.fromJson(Map<String, dynamic> json) =>
      _$AfterUploadedAudioResponseFromJson(json);

  Map<String, dynamic> toJson() => _$AfterUploadedAudioResponseToJson(this);

}
