class BaseResponse {
  int? code;
  String? message;

  BaseResponse.fromJson(Map<String,dynamic> json) :
      code = json['code'],
      message = json['message'];

  BaseResponse(this.code, this.message);

  @override
  String toString() {
    return 'BaseResponse{code: $code, message: $message}';
  }
}