import 'package:json_annotation/json_annotation.dart';

part 'lyric.g.dart';

@JsonSerializable()
class Lyric {
  @JsonKey(name: "create_time")
  String? createdTime;
  String? id;
  @JsonKey(name: "audio_id")
  String? audioId;
  String? text;
  @JsonKey(name: "stime")
  int? start;
  @JsonKey(name: "etime")
  int? end;

  Lyric(this.createdTime, this.id, this.audioId, this.text, this.start,
      this.end);

  factory Lyric.fromJson(Map<String, dynamic> json) =>
      _$LyricFromJson(json);

  Map<String, dynamic> toJson() => _$LyricToJson(this);
}